#!/bin/bash

# Show how ((...)) and [[...]] might be used in comparisons

# Put a zero prefix in front of "$1" in case it's empty.
var="0$1"
if (( $# > 1 || var >= 6)); then
    echo "True."
fi

# The following line uses a single equals sign for
# maximum backward compatibility.
if [[ "$state" = "Texas" && "$city" = "Dallas" ]]
then
    echo "Yep, city/state is Dallas/TX!"
fi
