#!/bin/bash

# This program takes two filename arguments

prog=${0##*/}
USAGE="Usage:  $prog filename1 filename2"

if (( $# != 2 )); then
    echo "$USAGE" >&2
    exit 1
fi

if [[ ! -f "$1" || ! -f "$2" ]]; then
    echo "$USAGE" >&2
    exit 1
fi
# ...
